Page MenuHomePhabricator

[Loop Peeling] Introduce an option for full peeling disabling
ClosedPublic

Authored by skatkov on Jul 19 2019, 2:34 AM.

Details

Summary

This patch adds an ability to disable profile based peeling
causing the full peeling and as a result prohibits further unroll/peeling
attempts on that loop.

The motivation to get an ability to separate peeling usage in
pipeline where in the first part we peel only separate iterations if needed
and later in pipeline we apply the full peeling which will prohibit further peeling.

Diff Detail

Event Timeline

skatkov created this revision.Jul 19 2019, 2:34 AM
Herald added a project: Restricted Project. · View Herald TranscriptJul 19 2019, 2:34 AM
skatkov updated this revision to Diff 211030.Jul 22 2019, 2:04 AM

the variable and option name changed.

reames accepted this revision.Jul 23 2019, 3:04 PM
This revision is now accepted and ready to land.Jul 23 2019, 3:04 PM
This revision was automatically updated to reflect the committed changes.